#
# spec file for package yast2-backup (Version 2.15.7)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit PolicyKit aaa_base acl attr audit-libs autoconf automake autoyast2-installation bash binutils blocxx boost brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cryptsetup curl curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-glib dejagnu desktop-translations device-mapper diffutils dirmngr dmraid expat expect file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glibc glibc-devel glibc-locale gpg2 grep groff gzip hal hwinfo info insserv kpartx less libacl libattr libbz2-1 libbz2-devel libcurl4 libdb-4_5 libexpat1 libgcc42 libgcrypt libgomp42 libgpg-error libicu libidn libksba libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libsmbios-libs libstdc++42 libtool libusb libuuid1 libvolume_id libxcrypt libxml2 liby2util libzio libzypp linux-kernel-headers lvm2 m4 make man mdadm mktemp ncurses net-tools netcfg openldap2-client openssl openssl-certs pam pam-config pam-modules parted patch pcre perl perl-XML-Bare perl-XML-Parser perl-XML-Writer perl-base perl-gettext permissions pinentry pkg-config pmtools popt post-build-checks pth pwdutils rpm sed setserial sqlite sysvinit tar tcl texinfo timezone unzip update-desktop-files util-linux xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb yast2 yast2-core yast2-country yast2-devtools yast2-hardware-detection yast2-installation yast2-mouse yast2-nfs-client yast2-packager yast2-perl-bindings yast2-pkg-bindings yast2-storage yast2-storage-lib yast2-testsuite yast2-transfer yast2-update yast2-xml zlib


Name:           yast2-backup
Version:        2.15.7
Release:        0.1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-backup-2.15.7.tar.bz2
Prefix:         /usr
Summary:        YaST2 - System Backup
BuildArch:      noarch
BuildRequires:  autoyast2-installation
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-nfs-client
BuildRequires:  yast2-testsuite
# build-dependencies for autoyast (cloning)
BuildRequires:  yast2-storage
BuildRequires:  yast2-country
Requires:       autoyast2-installation
Requires:       bzip2
Requires:       coreutils
Requires:       e2fsprogs
Requires:       fileutils
Requires:       gzip
Requires:       perl
Requires:       tar
Requires:       util-linux
Requires:       yast2
Requires:       yast2-nfs-client
Requires:       yast2-storage
Requires:       yast2-tune
# UI as a namespace
Conflicts:      yast2-core < 2.15.7
Recommends:     yast2-bootloader
Recommends:     yast2-network
Recommends:     yast2-tune
Recommends:     yast2-restore
Provides:       yast2-module-backup
Obsoletes:      yast2-module-backup
Provides:       yast2-trans-backup
Obsoletes:      yast2-trans-backup

%description
This package contains a module which searches for changed files and
backs them up.



Authors:
--------
    Ladislav Slezak <lslezak@suse.cz>
    Lukas Ocilka <locilka@suse.cz>

%debug_package
%prep
%setup -n yast2-backup-2.15.7

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/backup
/usr/share/YaST2/scrconf/proc_filesystems.scr
/usr/lib/YaST2/servers_non_y2/ag_file_append
/usr/lib/YaST2/servers_non_y2/ag_free_space
/usr/share/YaST2/scrconf/cfg_backup.scr
/usr/share/YaST2/scrconf/cfg_backup_freespace.scr
/usr/share/YaST2/include/backup/*
/usr/share/YaST2/clients/backup*.ycp
%{prefix}/lib/YaST2/bin/backup_*
/usr/share/YaST2/modules/Backup.ycp
/usr/share/YaST2/modules/Backup.ybc
%{prefix}/share/applications/YaST2/backup.desktop
%doc %{prefix}/share/doc/packages/yast2-backup

%changelog
* Mon Oct 20 2008 - locilka@suse.cz
- Fixed storing the symlinks.
- Correctly escaping shell commands (both bnc #421214).
- 2.15.7
* Fri Dec 14 2007 - locilka@suse.cz
- Fixed running the backup in a 'cron' mode. UI named 'testsuite'
  has been renamed to 'UI' in yast2-core-2.15.7 (#347534).
- Adjusted RPM dependencies.
- 2.15.6
* Fri Nov 02 2007 - locilka@suse.cz
- Fixed creating the archive (tar -C).
- Fixed reading installed packages.
- Better solution of some exceptions when creating the archive and
  temporary directories.
- Fixed escaping quotes and backslashes for files presented in UI.
  (All in bugzilla #332663)
- 2.15.5
* Wed Jul 04 2007 - locilka@suse.cz
- Restart and/or enable cron service if needed for changed/added
  scheduled backups (#285442).
- 2.15.4
* Fri May 25 2007 - jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Wed Mar 28 2007 - mvidner@suse.cz
- Do not repeatedly add archive extension if the file name contains
  non-ascii characters (#185042).
- 2.15.3
* Fri Mar 09 2007 - locilka@suse.cz
- Adjusted RPM dependencies and BuildRequirements.
- Added recommended packages.
- 2.15.2
* Mon Feb 26 2007 - locilka@suse.cz
- Fixed HTML tags (#248650).
* Fri Jan 12 2007 - locilka@suse.cz
- When creating backup on tape (e.g., /dev/nst0), backup profile
  is also appended to that location (#185042 from comment #4).
- 2.15.1
* Mon Dec 04 2006 - locilka@suse.cz
- Calling client backup_get_packages via .target.bash_output
  instead of WFM::call() in order to save memory occupied by ZYPP.
  It saves more than 70 MB or RAM (#224899).
- 2.15.0
* Tue Nov 07 2006 - locilka@suse.cz
- Using Pkg::TargetInitialize instead of Pkg::TargetInit to
  initialize installed vs. available packages correctly (#199656).
- 2.14.1
* Fri Aug 04 2006 - locilka@suse.cz
- Adjusted search scripts to backup only included directories.
- Adjusted helps.
- Adjusted testsuites.
- 2.14.0
* Fri Aug 04 2006 - locilka@suse.cz
- Added capability to include directories in the backup to the
  Search Constrains dialog.
* Mon Jul 31 2006 - locilka@suse.cz
- Do not add the suffix .tar to a backup destination if the file is
  a block device or lies under the /dev/ path (#185042).
- Adjusted testsuite.
- 2.13.3
* Tue May 09 2006 - locilka@suse.cz
- Fixing UI behavior when searching for modified files. Now it does
  not cut filenames off and a seach progress is bigger (#172406).
- Fixed SCR agent for checking the free space. Now it handles
  exceptions, e.g. missing /bin/df, correctly (#172408).
- 2.13.2
* Mon Mar 06 2006 - locilka@suse.cz
- Adjusting BuildRequires in the package
- 2.13.1
* Thu Dec 01 2005 - locilka@suse.cz
- Renaming variable 'search' to 'do_search' because of new
  a builtin function with the same name.
- Fixing testsuites.
- Replacing a hardcoded string containing the path to the
  configuration file with a variable.
- Using FileUtils before reading the file to avoid from error
  messages.
- 2.13.0
* Tue Aug 16 2005 - locilka@suse.cz
- Merged proofed texts (2nd round)
- 2.12.5
* Thu Jul 28 2005 - locilka@suse.cz
- Merged proofed texts
- Updated .desktop file
- 2.12.4
* Fri Jul 22 2005 - locilka@suse.cz
- Fixing bug #53871 Backup ignored full filesystem and freezed
  Now it asks user whether to abort backup or not. It aborts it
  immediatelly when backup runs as a cron job.
- Fixing memory wasted by creating all-filelist in the memory with
  using .backup.file_append - creates the filelist directly on the
  disk.
- Fixing backup_archive.pl script didn't find out when it hadn't be
  able to create gzipped packages_info due to full filesystem.
- 2.12.3
* Thu Jul 21 2005 - locilka@suse.cz
- Added new SCR Agent .backup.file_append
- Added new SCR Agent .backup.free_space
* Wed Jul 20 2005 - locilka@suse.cz
- Breaking huge 'while'-loops into more functions
- Adding busy messages during some long UI delays
- Adding support for --list-file script option
- Minimizing memory usage by clearing some bigger variables after
  expiration of their need
- Minimizing memory and processor usage by parsing smaller list of
  files instead of list of UI terms.
- Using 'sed' for the filelist regexp changes rather than the YCP.
* Wed Jul 20 2005 - locilka@suse.cz
  Changes in backup_search.pl script:
- Increasing speed of searching files and directories by minimizing
  rpm calls, minimizing unnecessary calls of files attributes,
  using references instead of copying strings.
- Minimizing memory usage to 60%% by disabling the device/inode
  checking, disputable files are just backed up.
- Adding new option --list-file to minimize the memory usage using
  the YaST UI.
* Thu Jul 14 2005 - arvin@suse.de
- added yast2-storage-lib to neededforbuild
- 2.12.2
* Tue Jul 12 2005 - locilka@suse.cz
- Changing texts and dialogs to be YaST Style Guide compatible
- 2.12.1
* Mon Jun 27 2005 - locilka@suse.cz
- Changed one error message to be more informative
* Wed May 18 2005 - locilka@suse.cz
- Fixed failing build after changes in AutoYaST
  Profile::Flat -> Profile::current
* Thu Apr 21 2005 - locilka@suse.cz
- Added Command Line Interface support (actually only information
  that CMDLine is not supported)
- 2.12.0
* Thu Mar 03 2005 - locilka@suse.cz
- Fixed bug #67120
  Backup didn't remove the cronfile when profile was deleted
- 2.11.6
* Wed Mar 02 2005 - locilka@suse.cz
- Merged proofed texts
* Mon Feb 14 2005 - locilka@suse.cz
- Merged proofed texts
- 2.11.5
* Tue Feb 08 2005 - visnov@suse.cz
- Fixed testsuite
- 2.11.4
* Wed Jan 26 2005 - locilka@suse.cz
- Fixed user-defined-size entry got disabled wrong in UI (#48651)
- Fixed creating empty profiles (#41878)
- Fixed renaming profiles (#36241), added new "Rename" menu entry
- 2.11.3
* Fri Dec 17 2004 - visnov@suse.cz
- Removed firewall from NFB
- 2.11.2
* Thu Nov 11 2004 - locilka@suse.cz
- Added testing for the path accuracy of new archive
- Added error message if backup would be unable to create archive
* Fri Nov 05 2004 - locilka@suse.cz
- Adjusted for new Mode implementation
- Replaced deprecated 'select' and 'lookup' commands
- 2.11.1
* Thu Oct 21 2004 - locilka@suse.cz
- Partly solved bug #45748, back button from "files to backup"
  pointed to wrong destination.
- 2.11.0
* Thu Oct 14 2004 - locilka@suse.cz
- Partly solved Bug #43604, redrawing buttons during creating
  archive
* Tue Aug 31 2004 - nashif@suse.de
- Added yast2-firewall to neededforbuild
* Mon Aug 09 2004 - jsrain@suse.cz
- added missing type casts
- 2.10.2
* Wed Jun 16 2004 - lslezak@suse.cz
- updated testsuite (use Testsuite:: module, set testedfiles)
- version 2.10.1
* Mon Jun 14 2004 - lslezak@suse.cz
- backup files with backslash in file name (#40915)
- temporary files are removed automatically
- version 2.10.0
* Fri May 14 2004 - lslezak@suse.cz
- NFS mount bugfix (pass empty string as paramater instead
  of nil) (#40564)
- version 2.9.19
* Wed May 05 2004 - lslezak@suse.cz
- directory excluding didn't work correctly for files owned
  by a RPM package (#36233)
- version 2.9.18
* Tue May 04 2004 - lslezak@suse.cz
- merged proofread texts
- 2.9.17
* Sun Apr 04 2004 - kkaempf@suse.de
- fix testsuite
- 2.9.16
* Fri Apr 02 2004 - lslezak@suse.cz
- Changed license to GPL
- version 2.9.15
* Wed Mar 31 2004 - lslezak@suse.cz
- testsuite update (UML probing)
- reset size counter before start (#36239)
- version 2.9.14
* Tue Mar 23 2004 - lslezak@suse.cz
- enable close button
- removed autoyast2 from Requires and neededforbuild
- version 2.9.13
* Wed Mar 17 2004 - kkaempf@suse.de
- needs yast2-update for RootPart module
- 2.9.12
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.11
- Migration to new wizard
* Mon Mar 08 2004 - lslezak@suse.cz
- use Sequencer::, Package::
- set icon
- version 2.9.10
* Sun Mar 07 2004 - kkaempf@suse.de
- fix types
- version 2.9.9
* Mon Mar 01 2004 - lslezak@suse.cz
- merged proofread texts
- typed lists and maps
- exclude /sys directory
- testsuite update
- version 2.9.8
* Tue Feb 10 2004 - lslezak@suse.cz
- fixed testsuite (initialize testsuite in all test cases)
- removed hwinfo from neededforbuild
- version 2.9.7
* Mon Feb 09 2004 - lslezak@suse.cz
- removed *.y2cc file
- version 2.9.6
* Tue Feb 03 2004 - lslezak@suse.cz
- testsuite update
- version 2.9.5
* Fri Jan 30 2004 - lslezak@suse.cz
- fixes for the new interpreter (data types, removed globals)
- build fix (ycp hook, testsuite update)
- version 2.9.4
* Mon Jan 12 2004 - lslezak@suse.cz
- fixes for the new interpreter
- require autoyast2 package
- version 2.9.3
* Thu Dec 18 2003 - lslezak@suse.cz
- fixes for the new interpreter
- remember RPM restoration option when file selection dialog is
  displayed
* Tue Nov 25 2003 - lslezak@suse.cz
- use UI:: file popups
- new constraints dialog (replaces old exclude dialogs)
- store excluded directories as list of strings to profile file
- testsuite update
* Wed Nov 05 2003 - lslezak@suse.cz
- exclude files matching specified regular expressions:
  new dialog, workflow changes
- small fixes in searching and archiving script
- testsuite update
- version 2.9.2
* Wed Oct 29 2003 - lslezak@suse.cz
- simply check available free space (#30042)
- version 2.9.1
* Wed Oct 22 2003 - lslezak@suse.cz
- exclude /media and /windows directories, exclude ntfs file
  system (it's readonly, cannot be restored) (#20192)
- new expert options dialog (temporary directory location (#30042),
  system area backup)
- small workflow changes
- testsuite update
- version 2.9.0
* Thu Sep 25 2003 - lslezak@suse.cz
- use Require module (#31673)
* Mon Sep 15 2003 - lslezak@suse.de
- check for nil value (#30232)
- don't disable profile description if archive type is file list
- log more debug messages
- version 2.8.13
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Mon Sep 08 2003 - lslezak@suse.de
- start configuration workflow for the new profile
- fixed backup_search.pl script (syntax error in the generated
  YCP structure)
- fixed map change
- merged text from proofreading
- version 2.8.11
* Tue Sep 02 2003 - lslezak@suse.cz
- fixed testsuite (constructor was changed in imported module)
- version 2.8.10
* Mon Sep 01 2003 - lslezak@suse.de
- added missing imports and file descriptions
- version 2.8.9
* Mon Aug 25 2003 - lslezak@suse.cz
- backup RPM DB if some updated package was found
- version 2.8.8
* Tue Aug 19 2003 - arvin@suse.de
- use String::FormatSize
* Tue Aug 19 2003 - nashif@suse.de
- Fixed testsuite
- 2.8.6
* Mon Aug 18 2003 - lslezak@suse.cz
- fixed rpm verification options in the search script
  (removed --noscripts option)
- version 2.8.5
* Tue Aug 12 2003 - lslezak@suse.cz
- fixed testuite (some constructor was again changed...)
- version 2.8.4
* Mon Aug 11 2003 - lslezak@suse.de
- cron mode bugfixes
- archive can be stored the NFS server
- option for sending summary mail in the cron mode
- merged proofread texts
- summary text fixes
- updated testsuite
- version 2.8.3
* Mon Jun 30 2003 - lslezak@suse.de
- make complete backup of updated packages
- fixed testsuites
- version 2.8.2
* Fri Apr 18 2003 - lslezak@suse.de
- changed profile management dialog
- automatic backup (cron mode):
  new dialog for setting backup time
  cron wrapper script
  remove/rename existing archives
  send summary mail to root
  updated testsuite
- version 2.8.1
* Thu Apr 03 2003 - lslezak@suse.de
- fixed testsuites and help texts
- version 2.8.0
* Tue Apr 01 2003 - lslezak@suse.de
- help texts and button labels improved, changed archive type
  selection (#23367)
* Fri Mar 28 2003 - lslezak@suse.de
- speed improvement: create table content in backup_search.pl
  script, do not update progress dialog too often, changed user
  input handling in file selection dialog
- fixed map assigning
* Tue Mar 25 2003 - lslezak@suse.de
- fixed [Back] button behaviour in the Archive settings dialog
- improved (faster) MapFilesToString() and MapToTableItems()
  functions
* Thu Mar 13 2003 - lslezak@suse.de
- autoyast profile: fixed network configuration clonning (#25201)
- version 2.7.13
* Mon Mar 10 2003 - lslezak@suse.de
- always store network config to the autoyast profile (needed
  when backup archive is moved to the NFS)
- improved 'root' user detection
- version 2.7.12
* Mon Mar 03 2003 - lslezak@suse.de
- merged proof-read texts
- version 2.7.11
* Mon Feb 24 2003 - lslezak@suse.cz
- don't replace existing profile (#24197)
- version 2.7.10
* Mon Feb 24 2003 - lslezak@suse.de
- fixed [abort] button in profile dialog (#24064)
- disable [replace] and [delete] buttons if there is
  no stored profile (#24063)
- version 2.7.9
* Thu Feb 20 2003 - lslezak@suse.de
- fixed root user detection (#23880)
- fixed testsuites
- version 2.7.8
* Tue Feb 18 2003 - lslezak@suse.de
- add .tar extension to the archive name if it's missing (#23367)
- save autoinstallation profile to <archive_name>.xml file
  instead of fixed name (autoinst.xml)
- new testsuites
- ydoc comments
- F-key shortcuts
- version 2.7.7
* Mon Feb 17 2003 - lslezak@suse.de
- added profile manager (reuse previous settings)
- documentation update
- fixed testsuite
- version 2.7.6
* Mon Feb 10 2003 - lslezak@suse.de
- use new autoinstallation API
- version 2.7.5
* Fri Feb 07 2003 - lslezak@suse.cz
- fixed root user detection
- merged proofread text
- updated documentation
- version 2.7.4
* Wed Feb 05 2003 - lslezak@suse.cz
- fixed neededforbuild
- fixed testsuite (override paths used by module constructors)
- version 2.7.3
* Mon Feb 03 2003 - lslezak@suse.cz
- merged proof-read texts
- use new functions from AIClone::
- version 2.7.2
* Thu Jan 30 2003 - lslezak@suse.cz
- star archiver related bugfixes
- install star only if it is needed (removed from Requires:)
- use .star suffix for star archives
- version 2.7.1
* Fri Jan 17 2003 - lslezak@suse.cz
- star archiver support (ACLs backup)
- function keys in ncurses UI
- cloning functions update
- version 2.7.0
* Wed Sep 04 2002 - lslezak@suse.cz
- autoyast profile writing fixed
- use new icon in y2cc
- version 2.6.7
* Mon Sep 02 2002 - lslezak@suse.cz
- version 2.6.6
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 26 2002 - lslezak@suse.cz
- preselect all packages to restore in autoyast profile
- added hwinfo to neededforbuild
- version 2.6.5
* Mon Aug 19 2002 - lslezak@suse.cz
- store lan settings to autoyast profile if archive is
  stored on NFS server
- requires yast2-network
- version 2.6.4
* Mon Aug 05 2002 - lslezak@suse.cz
- added help texts for translators
- fixed #neededforbuild and Requires
- version 2.6.3
* Mon Jul 22 2002 - jsrain@suse.cz
- merged proofread texts
- version 2.6.2
* Fri Jul 05 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jul 01 2002 - lslezak@suse.cz
- package renamed to yast2-backup
- version 2.6.0
* Mon Jul 01 2002 - lslezak@suse.cz
- backup even special files
- backup files with new line character in file name (bug #15259)
* Wed Apr 10 2002 - lslezak@suse.cz
- SuSE-8_0-Branch merged to the head
* Wed Mar 13 2002 - lslezak@suse.cz
- accept `cancel - close by WM is possible
- version 2.5.21
* Fri Mar 08 2002 - lslezak@suse.cz
- added missing _() in combo box texts (archive type option)
- version 2.5.20
* Mon Mar 04 2002 - lslezak@suse.cz
- changed icon in Y2CC to system.png
- version 2.5.19
* Mon Mar 04 2002 - lslezak@suse.cz
- supports test mode
- version 2.5.18
* Wed Feb 20 2002 - lslezak@suse.cz
- display message to see details in summary dialog if some
  error occur
- added help text (bug #13587) - changed files from packages
  are backed up default
- version 2.5.17
* Mon Feb 18 2002 - lslezak@suse.cz
- .run.mktemp replaced by .target.tmpdir
- added check if archive already exists
- version 2.5.16
* Mon Feb 18 2002 - kkaempf@suse.de
- provide proc_filesystems.scr config file.
* Thu Feb 14 2002 - lslezak@suse.cz
- archive file name must have absolute path (for relative path
  used user have to know which directory is current -> problem if
  backup module is started from KDE)		(bug #13231)
* Mon Feb 11 2002 - lslezak@suse.cz
- added missing rich text tag
- updated COPY* files
- version 2.5.13
* Fri Feb 01 2002 - lslezak@suse.cz
- fixed edit dialog: default 'OK' button, TextEntry widget has focus
- set default excluded iso9660 and "nodev" file systems (from /proc/filesystems)
- texts from proofreading
- version 2.5.12
* Mon Jan 28 2002 - lslezak@suse.cz
- Abort confirmation changes
- version 2.5.11
* Fri Jan 25 2002 - lslezak@suse.cz
- better check of user defined volume size
- display device mount point in Ext2 system backup dialog
- testsuite changes
- version 2.5.10
* Mon Jan 14 2002 - lslezak@suse.cz
- help text paragraph parts joined to one string
- version 2.5.9
* Thu Jan 03 2002 - lslezak@suse.cz
- small bugfixes
- tar multi volume archive: block size changed to 4
- documetation update
- version 2.5.8
* Wed Dec 19 2001 - lslezak@suse.cz
- do not create volumes larger than specified
- storing files which do not belong to any package fixed
- reporting all created volumes in summary fixed
- version 2.5.7
* Tue Dec 18 2001 - lslezak@suse.cz
- format of backup archive was changed to package oriented archive
- target archive is tar
- changed creation of multi volume archives
- Progress module used
- version 2.5.6
* Tue Dec 04 2001 - lslezak@suse.cz
- added 3rd parameter in select() call
- version 2.5.5
* Mon Dec 03 2001 - lslezak@suse.cz
- summary dialog fixes
- storing only list of found files is possible
- device/inode numbers are used in searching files
  not owned by any package
- documentation: *.ui files moved to ui.tar.bz2
- version 2.5.4
* Thu Nov 22 2001 - lslezak@suse.cz
- added option for RPM MD5 test
- added missing modules/Backup.ycp entry in spec file
- version 2.5.3
* Thu Nov 22 2001 - lslezak@suse.cz
- changed to YaST2 modules: created Backup::
- version 2.5.2
* Fri Nov 09 2001 - lslezak@suse.cz
- multi volume archive support
- added help texts
- version 2.5.1
* Tue Oct 16 2001 - lslezak@suse.cz
- initial version
